Update a booking service
curl --request PATCH \
--url https://api.replo.app/v1/booking-services/{serviceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"durationMinutes": 722,
"slotIntervalMinutes": 722,
"capacity": 500,
"bufferMinutes": 360,
"minimumNoticeMinutes": 21600,
"bookingWindowDays": 183,
"reminderHoursBefore": 168,
"addOns": [
{
"key": "<string>",
"name": "<string>",
"minutes": 360
}
],
"createsMeetLink": true
}
'import requests
url = "https://api.replo.app/v1/booking-services/{serviceId}"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"durationMinutes": 722,
"slotIntervalMinutes": 722,
"capacity": 500,
"bufferMinutes": 360,
"minimumNoticeMinutes": 21600,
"bookingWindowDays": 183,
"reminderHoursBefore": 168,
"addOns": [
{
"key": "<string>",
"name": "<string>",
"minutes": 360
}
],
"createsMeetLink": True
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
location: '<string>',
durationMinutes: 722,
slotIntervalMinutes: 722,
capacity: 500,
bufferMinutes: 360,
minimumNoticeMinutes: 21600,
bookingWindowDays: 183,
reminderHoursBefore: 168,
addOns: [{key: '<string>', name: '<string>', minutes: 360}],
createsMeetLink: true
})
};
fetch('https://api.replo.app/v1/booking-services/{serviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/booking-services/{serviceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'description' => '<string>',
'location' => '<string>',
'durationMinutes' => 722,
'slotIntervalMinutes' => 722,
'capacity' => 500,
'bufferMinutes' => 360,
'minimumNoticeMinutes' => 21600,
'bookingWindowDays' => 183,
'reminderHoursBefore' => 168,
'addOns' => [
[
'key' => '<string>',
'name' => '<string>',
'minutes' => 360
]
],
'createsMeetLink' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/booking-services/{serviceId}"
payload := strings.NewReader("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"durationMinutes\": 722,\n \"slotIntervalMinutes\": 722,\n \"capacity\": 500,\n \"bufferMinutes\": 360,\n \"minimumNoticeMinutes\": 21600,\n \"bookingWindowDays\": 183,\n \"reminderHoursBefore\": 168,\n \"addOns\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"minutes\": 360\n }\n ],\n \"createsMeetLink\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.replo.app/v1/booking-services/{serviceId}")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"durationMinutes\": 722,\n \"slotIntervalMinutes\": 722,\n \"capacity\": 500,\n \"bufferMinutes\": 360,\n \"minimumNoticeMinutes\": 21600,\n \"bookingWindowDays\": 183,\n \"reminderHoursBefore\": 168,\n \"addOns\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"minutes\": 360\n }\n ],\n \"createsMeetLink\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/booking-services/{serviceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"durationMinutes\": 722,\n \"slotIntervalMinutes\": 722,\n \"capacity\": 500,\n \"bufferMinutes\": 360,\n \"minimumNoticeMinutes\": 21600,\n \"bookingWindowDays\": 183,\n \"reminderHoursBefore\": 168,\n \"addOns\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"minutes\": 360\n }\n ],\n \"createsMeetLink\": true\n}"
response = http.request(request)
puts response.read_body{
"object": "booking_service",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"durationMinutes": 123,
"slotIntervalMinutes": 123,
"capacity": 123,
"bufferMinutes": 123,
"minimumNoticeMinutes": 123,
"bookingWindowDays": 123,
"reminderHoursBefore": 123,
"addOns": [
{
"key": "<string>",
"name": "<string>",
"minutes": 360
}
],
"createsMeetLink": true,
"staff": [
{
"object": "booking_staff",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "person",
"weight": 50
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}Booking-services
Update a booking service
Beta — this endpoint may change before general availability.
PATCH
/
booking-services
/
{serviceId}
Update a booking service
curl --request PATCH \
--url https://api.replo.app/v1/booking-services/{serviceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"durationMinutes": 722,
"slotIntervalMinutes": 722,
"capacity": 500,
"bufferMinutes": 360,
"minimumNoticeMinutes": 21600,
"bookingWindowDays": 183,
"reminderHoursBefore": 168,
"addOns": [
{
"key": "<string>",
"name": "<string>",
"minutes": 360
}
],
"createsMeetLink": true
}
'import requests
url = "https://api.replo.app/v1/booking-services/{serviceId}"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"durationMinutes": 722,
"slotIntervalMinutes": 722,
"capacity": 500,
"bufferMinutes": 360,
"minimumNoticeMinutes": 21600,
"bookingWindowDays": 183,
"reminderHoursBefore": 168,
"addOns": [
{
"key": "<string>",
"name": "<string>",
"minutes": 360
}
],
"createsMeetLink": True
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
location: '<string>',
durationMinutes: 722,
slotIntervalMinutes: 722,
capacity: 500,
bufferMinutes: 360,
minimumNoticeMinutes: 21600,
bookingWindowDays: 183,
reminderHoursBefore: 168,
addOns: [{key: '<string>', name: '<string>', minutes: 360}],
createsMeetLink: true
})
};
fetch('https://api.replo.app/v1/booking-services/{serviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/booking-services/{serviceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'description' => '<string>',
'location' => '<string>',
'durationMinutes' => 722,
'slotIntervalMinutes' => 722,
'capacity' => 500,
'bufferMinutes' => 360,
'minimumNoticeMinutes' => 21600,
'bookingWindowDays' => 183,
'reminderHoursBefore' => 168,
'addOns' => [
[
'key' => '<string>',
'name' => '<string>',
'minutes' => 360
]
],
'createsMeetLink' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/booking-services/{serviceId}"
payload := strings.NewReader("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"durationMinutes\": 722,\n \"slotIntervalMinutes\": 722,\n \"capacity\": 500,\n \"bufferMinutes\": 360,\n \"minimumNoticeMinutes\": 21600,\n \"bookingWindowDays\": 183,\n \"reminderHoursBefore\": 168,\n \"addOns\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"minutes\": 360\n }\n ],\n \"createsMeetLink\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.replo.app/v1/booking-services/{serviceId}")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"durationMinutes\": 722,\n \"slotIntervalMinutes\": 722,\n \"capacity\": 500,\n \"bufferMinutes\": 360,\n \"minimumNoticeMinutes\": 21600,\n \"bookingWindowDays\": 183,\n \"reminderHoursBefore\": 168,\n \"addOns\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"minutes\": 360\n }\n ],\n \"createsMeetLink\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/booking-services/{serviceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"durationMinutes\": 722,\n \"slotIntervalMinutes\": 722,\n \"capacity\": 500,\n \"bufferMinutes\": 360,\n \"minimumNoticeMinutes\": 21600,\n \"bookingWindowDays\": 183,\n \"reminderHoursBefore\": 168,\n \"addOns\": [\n {\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"minutes\": 360\n }\n ],\n \"createsMeetLink\": true\n}"
response = http.request(request)
puts response.read_body{
"object": "booking_service",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"durationMinutes": 123,
"slotIntervalMinutes": 123,
"capacity": 123,
"bufferMinutes": 123,
"minimumNoticeMinutes": 123,
"bookingWindowDays": 123,
"reminderHoursBefore": 123,
"addOns": [
{
"key": "<string>",
"name": "<string>",
"minutes": 360
}
],
"createsMeetLink": true,
"staff": [
{
"object": "booking_staff",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "person",
"weight": 50
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Headers
Body
application/json
Response
Update a booking service